from django.db import models
from django.conf import settings


ACCESS_METHODS = tuple([(key, val[0])
                        for key, val in settings.VM_ACCESS_PROTOCOLS.items()])
# Temporary solution
LEASE_TYPES = (
    ("project", "Project"),
    ("server", "Server"),
    ("infinite", "Infinite lease")
)

# Temporary solution
OS_TYPES = (
    ("win10", "Windows 10"),
    ("ubuntu1804", "Ubuntu 18.04"),
)


class Instance(models.Model):
    name = models.CharField(max_length=100,
                            help_text="Human readable name of instance")
    description = models.TextField(blank=True,
                                   help_text="The description of the instance")
    access_method = models.CharField(max_length=10, choices=ACCESS_METHODS,
                                     help_text="Primary remote access method.")
    lease = models.CharField(max_length=50, choices=LEASE_TYPES,
                             help_text="Expiration method")
    system = models.CharField(max_length=50, choices=OS_TYPES,
                              help_text="Operating system type")
    # template
    # password
    # time_of_suspend
    # time_of_delete
    # disks
    # owner
